---
title: Get a monitor
slug: monitor/get-a-monitor
docTags: 
createdAt: 2025-04-16T04:45:17.449Z
---

:::ApiMethodV2
```json
{
  "name": "Get a monitor",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}",
  "description": "Get a base information of monitor",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "adzGHUKcel2NcwN8I_XIL",
        "language": "curl",
        "code": "curl --location --globoff 'https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "aSp7JNhVbpB58LY2XYbWj",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "vVJkTZbBVSnze_DCK1Hh3",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "8tznlaqY3IFKFD5mgWPYh",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "dltofUSvAgqebQ_AT6bIz",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "adzGHUKcel2NcwN8I_XIL"
  },
  "results": {
    "languages": [
      {
        "id": "LjZhlQZtz6Elvr2xrBQTD",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"id\": \"64a8c71f-71db-4972-82b1-1aadc5434dd8\",\n    \"name\": \"monitore_teste_150_20250320\",\n    \"onlineStatus\": true,\n    \"userListStatus\": \"AWAITING_UPLOAD\",\n    \"monitorWeekDays\": [\"MON\",\"TUE\",\"WED\",\"THU\",\"FRI\",\"SAT\"],\n    \"monitorFrequency\": 2,\n    \"notificationEmails\": [\"admin@partner.com\"],\n    \"createAt\": \"2025-03-20T19:03:59Z\",\n    \"updateAt\": \"2025-03-20T19:03:59Z\"\n}"
      }
    ],
    "selectedLanguageId": "LjZhlQZtz6Elvr2xrBQTD"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "ID of the monitor",
        "": "id"
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "ID of the monitor"
    },
    {
      "name": "name",
      "kind": "optional",
      "type": "string",
      "description": "Name of the monitor",
      "children": []
    },
    {
      "name": "onlineStatus",
      "kind": "optional",
      "type": "string",
      "description": "Monitor status: ONLINE/OFFLINE",
      "children": []
    },
    {
      "name": "userListStatus",
      "kind": "optional",
      "type": "string",
      "description": "user-list status: AWAITING_UPLOAD/UPLOADED",
      "children": []
    },
    {
      "name": "monitorWeekDays",
      "kind": "optional",
      "type": "string",
      "description": "Monitoring dates within a week:  [\"MON\",\"TUE\",\"WED\",\"THU\",\"FRI\",\"SAT\"]",
      "children": []
    },
    {
      "name": "monitorTimes",
      "kind": "optional",
      "type": "string",
      "description": "Daily monitoring frequency",
      "children": []
    },
    {
      "name": "notificationEmails",
      "kind": "optional",
      "type": "string",
      "description": "Mailing list for sending notifications, the mail must be created in advance in the Klavi Console",
      "children": []
    },
    {
      "name": "createAt",
      "kind": "optional",
      "type": "string",
      "description": "Create time",
      "children": []
    },
    {
      "name": "updateAt",
      "kind": "optional",
      "type": "string",
      "description": "Update time",
      "children": []
    }
  ]
}
```
:::

